/// <amd-dependency path="text!./icon-template.html" name="iconTemplate" />

declare var iconTemplate;
import IconController from './icon-controller';

export class NwfIcon implements angular.IDirective {

    static NAME: string = 'nwfIcon';

    public restrict = 'E';
    public scope = {
        iconClass: '@'
    };
    replace = true;
    template = iconTemplate;
    bindToController = true;
    controllerAs = 'iconCtrl';
    public controller = IconController;
}


// export factory function
export function NwfIconFactory(): NwfIcon {
    return new NwfIcon();
}
