/// <amd-dependency path="text!./leftnav-template.html" name="leftNavTemplate" />
import LeftNavController from './leftnav-controller';

declare var leftNavTemplate;

export class NwfLeftNav {
    static NAME: string = 'nwfLeftNav';
    template = leftNavTemplate;
    controller = LeftNavController;
    bindings = {
        navData: '<'
    };
}

// export factory function
export function NwfLeftNavFactory(): NwfLeftNav {
    return new NwfLeftNav();
}
