/// <amd-dependency path="text!./export-template.html" name="exportTemplate" />
import ExportController from './export-controller';


declare var exportTemplate;

export class NwfGridExport {
    static NAME: string = 'nwfGridExport';
    template = exportTemplate;
    controller = ExportController;
    bindings = {
      gridParams: '<'
    };
}

// export factory function
export function NwfGridExportFactory(): NwfGridExport {
    return new NwfGridExport();
}
